/**
 *
 * upload image for email header
 *
 */
jQuery(document).ready(function($){
    var email_header_uploader;
    $('#email_header_button').click(function(e) {
        e.preventDefault();

        //If the uploader object has already been created, reopen the dialog
        if (email_header_uploader) {
            email_header_uploader.open();
            return;
        }

        //Extend the wp.media object
        email_header_uploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Image',
            button: {
                text: 'Choose Image'
            },
            multiple: true
        });
       
        //When a file is selected, grab the URL and set it as the text field's value
        email_header_uploader.on('select', function() {
            console.log(email_header_uploader.state().get('selection').toJSON());
            attachment = email_header_uploader.state().get('selection').first().toJSON();
            $('#email_header').val(attachment.url);
            //$("#imgnext").attr('src', attachment.url);
        });
        //Open the next_uploader dialog
        email_header_uploader.open();

    });

	/* Cehck for Project minimum goal empty or not a number */
	$('#min_project_length').keyup(function(){
		document.getElementById("min_project_length").focus();

		var goal = $("input#min_project_length").val();

		if (goal !== "" && !$.isNumeric(goal))
		{

			$("input#min_project_length").val('');
	
		   alert("Enter Numberic Value");
		}	
	});


	/* Cehck for Project Maximum goal empty or not a number */
	$('#max_project_length').keyup(function(){
	    document.getElementById("max_project_length").focus();
	   
	    var goal = $("input#max_project_length").val();
	   
	    if (goal !== "" && !$.isNumeric(goal))
	    {
	    
	    	$("input#max_project_length").val('');
	   
	   		alert("Enter Numberic Value");
		}
	});

	/* Cehck for minimum Donation for project empty or not a number */
	$('#minimum_donation_amount').keyup(function(){
	
	  
	    document.getElementById("minimum_donation_amount").focus();
	   
	    var goal = $("input#minimum_donation_amount").val();
	   
	    if (goal !== "" && !$.isNumeric(goal))
	    {
	    	
	    	$("input#minimum_donation_amount").val('');
	  
	  		 alert("Enter Numberic Value");
		}
	 
	});
/************************************************************************************************/
/*									js for donation view page 									*/
/************************************************************************************************/
	$('button[name = "filter"]').click(function(){
		var status = $('select[name="statuss"] option:selected').val();
		var project = $('select[name="project"] option:selected').val();
		window.location.href = script_vars.adminurl+'admin.php?page=donations&action=filter&project='+project+'&statuss='+status;
	});
	
	$('button[name = "recurring_filter"]').click(function(){
	var status = $('select[name="statuss"] option:selected').val();
	var project = $('select[name="project"] option:selected').val();
	window.location.href = script_vars.adminurl+'admin.php?page=donations&tab=recurrings&action=filter&project='+project+'&statuss='+status;
	});

	$('button[name = "search"]').click(function(){
		var search_val = $('input[name="search_value"]').val();
		window.location.href = script_vars.adminurl+'admin.php?page=donations&search_value='+search_val;
	});
	
	$('button[name = "recurring_search"]').click(function(){
	var search_val = $('input[name="search_value"]').val();
	window.location.href = script_vars.adminurl+'admin.php?page=donations&tab=recurrings&search_value='+search_val;
	});
	
	$('.cf_donation_delete_record').click(function(){
	var href = $(this).attr('href');
		if(confirm(script_vars.donation_del_confirm_message)){
			window.location.href = script_vars.adminurl+'/admin.php'+href;
		}
	});
	
	$('.cf_recurring_cancel').click(function(){
	var href = $(this).attr('href');
		if(confirm(script_vars.recurring_cancel_confirm_message)){
			window.location.href = script_vars.adminurl+'/admin.php'+href;
		}
	});
	//js for donation view screen options
	$('.fundraiser_page_donations #screen-options-wrap').removeClass('hidden');
	
/************************************************************************************************/
/*									js for fundraier view page 									*/
/************************************************************************************************/
	$('button[name = "cf_fundraiser-filter"]').click(function(){
		var status = $('select[name="cf_fundraiser-statuss"] option:selected').val();
		var project = $('select[name="cf_fundraiser-project"] option:selected').val();
		window.location.href = script_vars.adminurl+'admin.php?page=fundraisers&action=filter&project='+project+'&statuss='+ status;
	});

	$('button[name = "cf_fundraiser-search"]').click(function(){
		var search_val = $('input[name="cf_fundraiser-search_value"]').val();
		window.location.href = script_vars.adminurl+'admin.php?page=fundraisers&search_value='+search_val;
	});


	$('.cf_fundraiser_delete_record').click(function(){
		var href = $(this).attr('href');
		if(confirm(script_vars.fundraiser_del_confirm_message)){
			window.location.href = script_vars.adminurl+'/admin.php'+href;
		}
	});
	//js for fundraiseres view  screen options
	$('.fundraiser_page_fundraisers #screen-options-wrap').removeClass('hidden');
	$('[data-toggle="tooltip"]').tooltip();
/************************************************************************************************/
/*									js for payment gateways settings tab 						*/
/************************************************************************************************/	
	// send ajax request when the default payment is changed.
	// update the default method
	$(document).ready(function(){
		$('input[name="getway"]').change(function(){
			var selectedPayment = $(this).val();
			$.post(
			    ajaxurl, 
			    {
			        'action': 'update_default_payment',
			        'data':   selectedPayment
			    }, 
			    function(response){
			        // success
			    }
			);
		})
	})
/************************************************************************************************/
/*									js for add new project and edit project						*/
/************************************************************************************************/
	//js for edit and add new projects sceen options
	$('.post-type-projects #screen-options-wrap').removeClass('hidden');
	/*  check project Goal if empty or not a number */
	$('#project_goal').keyup(function(){

	    document.getElementById("project_goal").focus();
	   
	    var goal = jQuery("input#project_goal").val();

	    if (goal !== "" && !jQuery.isNumeric(goal))
	    {
	    	
	    	jQuery("input#project_goal").val('');
	  		 
	  		 alert("Enter Numberic Value");

		}
		     
	});
	
	/* script for calling the layout settings classes*/
		
	$('.element-layout-settings').change(function(){
			
		var $this = $(this);
		
		var layoutClass = $this.val();

		var parElement = $this.parent().parent().parent();
		
		var existingClass = parElement.attr('layoutClass');

		if(existingClass){
			
			parElement.removeClass(existingClass);

		}

		parElement.attr('layoutClass',layoutClass);
		
		parElement.removeClass('no-layout-class'); 
		//remove layout class to disable 100%

		parElement.addClass(layoutClass);
	});
	// remove the block if clicked on x button in layout settings

	 jQuery('.cf_remove-this.cf_right').click(function(){
		$this = jQuery(this);
		$this.parent().parent().fadeOut('slow');
		$this.parent().parent().remove();
	 })
	 
	 jQuery('.save_changes').click(function(){
			
		var layoutSettingsMain = [];
		
		var layoutSettingsLeft = [];
		
		var layoutSettingsRight = [];

		var projectLayout = jQuery('.cf_sprite_layouts input[type="radio"]:checked').val();

		jQuery(this).parent().parent().find('.sort').each(function (index, value) { 
			
			var orderNo = jQuery(this).attr('orderno');
			
			var elementTemplate = jQuery(this).attr('template');

			var layoutClass = jQuery(this).attr('layoutClass'); //new

			if(!layoutClass)
				
				layoutClass = 'col-md-12'; // new


	        if(jQuery(this).parent().is('#no-side') || jQuery(this).parent().is('#right-sidebar-1st-col') || jQuery(this).parent().is('#left-sidebar-2nd-col') || jQuery(this).parent().is('#left-right-sidebar-2nd-col') ){
    			
	        	layoutSettings = {};
	        	
	        	layoutSettings ["orderno"] = orderNo;
	        	
	        	layoutSettings ["template"] = elementTemplate;

	        	layoutSettings ["layoutClass"] = layoutClass; // new

    			layoutSettingsMain.push(layoutSettings);

    		}


    		if(jQuery(this).parent().is('#left-right-sidebar-1st-col') || jQuery(this).parent().is('#left-sidebar-1st-col')){
    			
	        	layoutSettingsL = {};
	        	
	        	layoutSettingsL ["orderno"] = orderNo;
	        	
	        	layoutSettingsL ["template"] = elementTemplate;

	        	layoutSettingsL ["layoutClass"] = layoutClass;

    			layoutSettingsLeft.push(layoutSettingsL);

    		}


    		if(jQuery(this).parent().is('#left-right-sidebar-3rd-col') || jQuery(this).parent().is('#right-sidebar-2nd-col')){
    			
	        	
	        	layoutSettingsR = {};
	        	
	        	layoutSettingsR ["orderno"] = orderNo;
	        	
	        	layoutSettingsR ["template"] = elementTemplate;

	        	layoutSettingsR ["layoutClass"] = layoutClass; // new

    			layoutSettingsRight.push(layoutSettingsR);


    		}


    	})


		 jQuery.post(
		       script_vars.ajaxurl, 
		       {
		           'action': 'update_layout_settings',
		           data:   {'layoutSettingsMain':layoutSettingsMain, 'layoutSettingsLeft':layoutSettingsLeft, 'layoutSettingsRight':layoutSettingsRight, 'post_id' : script_vars.post_id, 'project_layout' : projectLayout }
		       }, 
		       function(response){
		           // success
		          
		           jQuery('.modal.in').modal('hide');
		          
		           jQuery('#messages').html('<div role="alert" class="alert alert-success"> <strong>Success!</strong> You have successfully updated the layout. </div>');
		       }
		   );

	})
	
	
/**************************  Start date picker  ***********************************/
	
	jQuery(document).ready(function(event, ui) {
  
    jQuery('#start_date').datepicker({
        dateFormat : 'dd-mm-yy'
  	  });
	});


/**************************  End date picker  ***********************************/
	jQuery(document).ready(function(event, ui) {
   
    jQuery('#end_date').datepicker({
        dateFormat : 'dd-mm-yy'
  	  });
	});

	/**************************  No sidebar ***********************************/
	
	jQuery("#no-side").sortable({
   
    update: function( event, ui ) {
   
    jQuery(this).find('.sort').each(function (index, value) { 
    	
    	jQuery(this).attr('orderNo', index+1);}); 

    	}
	});

	/**************************  Right siderbar ***********************************/

	jQuery("#right-sidebar-1st-col").sortable({
		connectWith: "#right-sidebar-2nd-col",
    
    update: function( event, ui ) {
    
    jQuery(this).find('.sort').each(function (index, value) { 
    	
    	jQuery(this).attr('orderNo', index+1);});
     }

	});

    jQuery("#right-sidebar-2nd-col").sortable({
		
		connectWith: "#right-sidebar-1st-col",
    
    update: function( event, ui ) {
    
    jQuery(this).find('.sort').each(function (index, value) { 
    	
    	jQuery(this).attr('orderNo', index+1);});

     }
	});
	
	/**************************  Left Sidebar ***********************************/

	jQuery("#left-sidebar-1st-col").sortable({

		connectWith: "#left-sidebar-2nd-col",

    update: function( event, ui ) {

    jQuery(this).find('.sort').each(function (index, value) { 

    	jQuery(this).attr('orderNo', index+1);});
     }
	});

    jQuery("#left-sidebar-2nd-col").sortable({

		connectWith: "#left-sidebar-1st-col",

    update: function( event, ui ) {

    jQuery(this).find('.sort').each(function (index, value) { 

    	jQuery(this).attr('orderNo', index+1);});
     }
	});
	
	//left-right-sidebars col-1
	jQuery("#left-right-sidebar-1st-col").sortable({

		connectWith: "#left-right-sidebar-2nd-col, #left-right-sidebar-3rd-col",

    update: function( event, ui ) {

    jQuery(this).find('.sort').each(function (index, value) { 

    	jQuery(this).attr('orderNo', index+1);});

     }

	});


	//left-sidebars col-2
    jQuery("#left-sidebar-2nd-col").sortable({

		connectWith: "#left-sidebar-1st-col",

    update: function( event, ui ) {

    jQuery(this).find('.sort').each(function (index, value) { 

    	jQuery(this).attr('orderNo', index+1);});

     }

	});

	//left-right-sidebars col-2
	jQuery("#left-sidebar-1st-col").sortable({
		connectWith: "#left-sidebar-2nd-col",
    update: function( event, ui ) {
    jQuery(this).find('.sort').each(function (index, value) { 
    	jQuery(this).attr('orderNo', index+1);});
     }
	});

    jQuery("#left-right-sidebar-2nd-col").sortable({
		connectWith: "#left-right-sidebar-1st-col, #left-right-sidebar-3rd-col",
    update: function( event, ui ) {
    jQuery(this).find('.sort').each(function (index, value) { 
    	jQuery(this).attr('orderNo', index+1);});
     }
	});

	//left-right-sidebars col-3
	jQuery("#right-sidebar-1st-col").sortable({
		connectWith: "#right-sidebar-2nd-col",
    update: function( event, ui ) {
    jQuery(this).find('.sort').each(function (index, value) { 
    	jQuery(this).attr('orderNo', index+1);});
     }
	});

    jQuery("#left-right-sidebar-3rd-col").sortable({
		connectWith: "#left-right-sidebar-2nd-col, #left-right-sidebar-1st-col",
    update: function( event, ui ) {
    jQuery(this).find('.sort').each(function (index, value) { 
    	jQuery(this).attr('orderNo', index+1);});
     }
	});
		  
/*============= check project goal minimum and maximum length  ================*/
	
	 jQuery(document).ready(function(){
       
		jQuery("input#project_goal").change(function(){
			if(script_vars.cf_settings.general != null){
				var goal = jQuery("input#project_goal").val();
				
				var minimumProjectLength = script_vars.cf_settings.general.min_project_length;
			  
				var min= parseInt(minimumProjectLength);
			
				var messagesShowmMin= script_vars.min_project_length_message;
				
				var minAlert = messagesShowmMin.concat(min);
			
				if(goal < min){
				
					jQuery("input#project_goal").val('');
			   
				alert(minAlert);
				
				}
				else{
					var maximumProjectLength = script_vars.cf_settings.general.max_project_length;
					
					var max= parseInt(maximumProjectLength);
		
					var messagesShowMax = script_vars.max_project_length_message;
					var maxAlert = messagesShowMax.concat(max);

					if(goal >max){
						
						jQuery("input#project_goal").val('');
					   
						alert(maxAlert);
					}else{
							
					}
				}
			}
        });
    });
	 
	 /*=============== end max and min project length checking ====================*/
	 
	if(script_vars.page_hook == 'fundraiser_page_statistics'){
		var labelsforVisitors =  ["A","B","C","D","E"];
		
		var dataforTopVisitors =  script_vars.data_for_visitors;
		
		var labels_for_country =  script_vars.labels_for_country ; 
		
		var data_for_country =  script_vars.data_for_country ;
		
		var labelsForBrowserInfo =  script_vars.labels_for_browserInfo;
		
		var dataForbrowserInfo =  script_vars.data_for_browserInfo;
		
		
		var labels_for_referralSites =  script_vars.labels_for_referralSites;
		
		var data_for_referralSites =  script_vars.data_for_referralSites;
		
		var labelsforTopVisitedPage =  script_vars.labels_for_topVisitedPage;
		
		var dataforTopVisitedPage =  script_vars.data_for_topVisitedPage;
		 
		  $(function () {
			  
		  
			var lineChartOptions = {
			  //Boolean - If we should show the scale at all
			  showScale: true,
			  //Boolean - Whether grid lines are shown across the chart
			  scaleShowGridLines: false,
			  //String - Colour of the grid lines
			  scaleGridLineColor: "#595959",
			  //Number - Width of the grid lines
			  scaleGridLineWidth: 1,
			  //Boolean - Whether to show horizontal lines (except X axis)
			  scaleShowHorizontalLines: true,
			  //Boolean - Whether to show vertical lines (except Y axis)
			  scaleShowVerticalLines: true,
			  //Boolean - Whether the line is curved between points
			  bezierCurve: true,
			  //Number - Tension of the bezier curve between points
			  bezierCurveTension: 0,
			  //Boolean - Whether to show a dot for each point
			  pointDot: true,
			  //Number - Radius of each point dot in pixels
			  pointDotRadius: 4,
			  //Number - Pixel width of point dot stroke
			  pointDotStrokeWidth: 0,
			  //Number - amount extra to add to the radius to cater for hit detection outside the drawn point
			  pointHitDetectionRadius: 0,
			  //Boolean - Whether to show a stroke for datasets
			  datasetStroke: true,
			  //Number - Pixel width of dataset stroke
			  datasetStrokeWidth: 2,
			  //Boolean - Whether to fill the dataset with a color
			  datasetFill: true,
			  //String - A legend template
			  legendTemplate: "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].lineColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>",
			  //Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
			  maintainAspectRatio: true,
			  //Boolean - whether to make the chart responsive to window resizing
			  responsive: true
			};
			
			//-------------
			//- LINE CHART for Visitors-
			//--------------
			
			var lineChartDataforVisitors = {
			  labels: labelsforVisitors,
			  datasets: [
				{
				  label: "Top Visitors",
				  fillColor: "#ff00ff",
				  strokeColor: "#0000ff",
				  pointColor: "#66ff33",
				  pointStrokeColor: "#000000",
				  pointHighlightFill: "#000000",
				  pointHighlightStroke: "#66ff33",
				  data: dataforTopVisitors
				}
			  ]
			};
		   
			var lineChartCanvas = $("#lineChart-visitors").get(0).getContext("2d");
		   
			var lineChart = new Chart(lineChartCanvas);
			
			var lineChartOptions = lineChartOptions;
		   
			 lineChartOptions.datasetFill = false;
			
			 lineChart.Line(lineChartDataforVisitors, lineChartOptions);
			
			//-------------
			//- LINE CHART for Top Country-
			//--------------
			var lineChartDataforCountry = {
			  labels: labels_for_country,
			  datasets: [
				{
				  label: "Top Visiting Countries",
				fillColor: "#ff00ff",
				  strokeColor: "#0000ff",
				  pointColor: "#66ff33",
				  pointStrokeColor: "#000000",
				  pointHighlightFill: "#000000",
				  pointHighlightStroke: "#66ff33",
				  data: data_for_country
				}
			  ]
			};
		
			var lineChartCanvas = $("#lineChart-country").get(0).getContext("2d");
		
			var lineChart = new Chart(lineChartCanvas);
		 
			var lineChartOptions = lineChartOptions;
		 
			lineChartOptions.datasetFill = false;
		 
			lineChart.Line(lineChartDataforCountry, lineChartOptions);
			
			//-------------
			//- LINE CHART for top Refferal sites-
			//--------------
		
			var lineChartDataforReferralSites = {
			  labels: labels_for_referralSites,
			  datasets: [
				{
				  label: "Top Referral Sites",
				  fillColor: "#ff00ff",
				  strokeColor: "#0000ff",
				  pointColor: "#66ff33",
				  pointStrokeColor: "#000000",
				  pointHighlightFill: "#000000",
				  pointHighlightStroke: "#66ff33",
				  data: data_for_referralSites
				}
			  ]
			};
		   
			var lineChartCanvas = $("#lineChart-referralSites").get(0).getContext("2d");
		   
			var lineChart = new Chart(lineChartCanvas);
		   
			var lineChartOptions = lineChartOptions;

			lineChartOptions.datasetFill = false;
		  
			lineChart.Line(lineChartDataforReferralSites, lineChartOptions);
			
			
			//-------------
			//- LINE CHART for top BrowserInfo-
			//--------------
			
			var lineChartDataforBrowserInfo = {
			  labels: labelsForBrowserInfo ,
			  datasets: [
				{
				  label: "Top Referral Browsers",
				  fillColor: "#ff00ff",
				  strokeColor: "#0000ff",
				  pointColor: "#66ff33",
				  pointStrokeColor: "#000000",
				  pointHighlightFill: "#000000",
				  pointHighlightStroke: "#66ff33",
				  data: dataForbrowserInfo
				}
			  ]
			};
		  
			var lineChartCanvas = $("#lineChart-browserInfo").get(0).getContext("2d");
		   
			var lineChart = new Chart(lineChartCanvas);
		   
			var lineChartOptions = lineChartOptions;
		  
			lineChartOptions.datasetFill = false;
		   
			lineChart.Line(lineChartDataforBrowserInfo, lineChartOptions);
			
			//-------------
			//- LINE CHART for Top Country-
			//--------------
			
			var lineChartDataforTopPages = {
			  labels: labelsforTopVisitedPage,
			  datasets: [
				{
				  label: "Top Visited Pages",
				  fillColor: "#ff00ff",
				  strokeColor: "#0000ff",
				  pointColor: "#66ff33",
				  pointStrokeColor: "#000000",
				  pointHighlightFill: "#000000",
				  pointHighlightStroke: "#66ff33",
				  data: dataforTopVisitedPage
				}
			  ]
			};
		  
			var lineChartCanvas = $("#lineChart-topVisitedPage").get(0).getContext("2d");
		  
			var lineChart = new Chart(lineChartCanvas);
		  
			var lineChartOptions = lineChartOptions;
		   
			lineChartOptions.datasetFill = false;
		   
			lineChart.Line(lineChartDataforTopPages, lineChartOptions);
			
		  });
	}
});