jQuery(document).ready(function(){
	
	jQuery('#send_invitation').click(function(){
			//var ajaxurl = "http://localhost/wp_practise/wp-admin/admin-ajax.php";
			var ajaxurl = script_vars.ajaxurl;
			var emails = jQuery('#friends-emails').val();
			var emailContent = jQuery('#message').val();
			var project_id = jQuery('#project_id').val()
			if(emails == '' || !checkEmails(emails)){

				jQuery('#friends-emails').parent().addClass('has-error');
				jQuery('#friends-emails').focus();

				return false;
			}

			jQuery.post(
			    ajaxurl, 
			    {
			        'action': 'send_invitation',
			        'data':   { emails : emails, emailContent : emailContent, project_id : project_id }
			    }, 
			    function(response){
			    	
			        // success
			        jQuery('.modal-body').html('<div class="alert alert-success" role="alert"><h3>Thank You</h3> <br/> You Invitation has been successfully sent.</div>');
			        jQuery('.modal-footer').html('<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>');
			    }
			);

		})


	function isValidEmailAddress(emailAddress) {
    	var pattern = new RegExp(/^(("[\w-+\s]+")|([\w-+]+(?:\.[\w-+]+)*)|("[\w-+\s]+")([\w-+]+(?:\.[\w-+]+)*))(@((?:[\w-+]+\.)*\w[\w-+]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][\d]\.|1[\d]{2}\.|[\d]{1,2}\.))((25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\.){2}(25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\]?$)/i);
    	return pattern.test(emailAddress);
	};
	function checkEmails(emails){
	//var emails = document.getElementById("emails").value;
	var emailArray = emails.split(",");
	var validEmail = false;
	for(i = 0; i <= (emailArray.length - 1); i++){
		if(isValidEmailAddress(emailArray[i])){
			//Do what ever with the email.
			validEmail = true;
		}else{
			validEmail = false;
			//alert("invalid email: " + emailArray[i]);
			break;
		}
	}
	if(validEmail)
	{
		return true;
	}
	else{
		return false;
	}
}

	
})
