(function ($) {
  $(function () {
    $('.basecolor').wpColorPicker();
  });
}(jQuery));

jQuery(document).ready(function(){
	

	// Adding Active class to fundraiser backend menu when the plugin is activated and redirected to Welcome page
	jQuery.extend({
	  getUrlVars: function(){
	    var vars = [], hash;
	    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
	    for(var i = 0; i < hashes.length; i++)
	    {
	      hash = hashes[i].split('=');
	      vars.push(hash[0]);
	      vars[hash[0]] = hash[1];
	    }
	    return vars;
	  },
	  getUrlVar: function(name){
	    return jQuery.getUrlVars()[name];
	  }
	});

	// If the page is welcome page || its project post type
	if (jQuery.getUrlVar("page") == 'cyber-fundraising-welcome' || jQuery.getUrlVar("post_type") == 'projects') {
		// Add wp-has-current-submenu class to the fundraiser main element
		jQuery('.toplevel_page_cyber-fundraiser-settings').addClass('wp-has-current-submenu');
	}


	// If the page is welcome page || its project post type
	if (jQuery('.toplevel_page_cyber-fundraiser-settings .wp-submenu-wrap li').hasClass('current')) {
		// Add wp-has-current-submenu class to the fundraiser main element
		jQuery('.toplevel_page_cyber-fundraiser-settings').addClass('wp-has-current-submenu');
	}
	
	jQuery('.cf_dont_show').click( function(){
		var ajaxurl = script_vars.ajaxurl;
				jQuery.post(
					   
					    ajaxurl,
					    {
					        'action': 'dont_show_anyone_can_register_notice',
					    },
						function(response){
							jQuery('.anyone_can_register_notice').css('display','none');
						}
					)
			});

	
})
