<!--	Donation records file   -->

<div class = "wrap">
	<h1><strong><?php _e('Donation Records','cyber-fundraiser-lite'); ?></strong> </h1>
	<?php if(isset($_GET['delete_record'])){ ?>
		<p><?php _e('Record Having Donation id '.sanitize_text_field($_GET['delete_record']).' has been deleted.', 'cyber-fundraiser-lite'); ?></p>
	<?php }elseif(isset($_GET['success']) && sanitize_text_field($_GET['success']) == 'true'){ ?>
		<p><?php _e('Selected Donations have been deleted.', 'cyber-fundraiser-lite'); ?></p>
	<?php } ?>
	<hr class="cf_state-line">
		
	<!--	<form class = "cf_donation_filter_form" method = "post" name = "cyber_donations_filter">	-->
			<div class = "cf_donation_filter_form">	
					<div class = "col-md-4">
					
				<!--	<label><?php _e('By project','cyber-fundraiser-lite'); ?></label>	-->
					
						<select name = "project">
							
							<!-- Search area for project status  -->
							
							<option value = "all"><?php _e('All Projects','cyber-fundraiser-lite'); ?> </option>
							
							<?php
							
							foreach($projects as $project){
								
								$parent_id = get_post_meta($project->ID,'parent-project-id',true);
								if(empty($parent_id)){
									$output = '<option value = "'.$project->ID .'"';
								
									$output.= ($project->ID==sanitize_text_field($_GET['project']))?'selected':'';
									
									$output.= '>'.mb_substr($project->post_title,0,34).'</option>';
									
									echo $output;
								}
							}
							?>
						
						</select>
					
					</div>
					
					<div class = "col-md-2">
					
					<!-- <label><?php _e('By Payment Status','cyber-fundraiser-lite'); ?></label> -->
						
						<select name = "statuss">
							
							<option value = "Both"><?php _e('Donation Status','cyber-fundraiser-lite'); ?> </option>
							
							<option value = "completed" <?php if(sanitize_text_field($_GET['statuss'])=='completed'){echo 'selected' ;}?>><?php _e('Completed','cyber-fundraiser-lite'); ?> </option>
							
							<option value = "pending" <?php if(sanitize_text_field($_GET['statuss'])=='pending'){echo 'selected' ;}?>><?php _e('Pending','cyber-fundraiser-lite'); ?> </option>
						
						</select>
					
					</div>
					
					<div class = "col-md-1">
					
						<button class = "button" type = "submit" name = "filter" value = ""><?php _e('Filter','cyber-fundraiser-lite'); ?></button>
					
					</div>
			</div>		
	<!--	</form>	-->

	<!--	<form class = "cf_donation_search_form" method = "POST">	-->
			<div class = "cf_donation_search_form">
				<div>
					<button class = "button" type = "submit" name = "search" value = ""><?php _e('Search Donations','cyber-fundraiser-lite'); ?></button>
				</div>
				
				<div class = "cf_donation_search">
					<input type = "search" name = "search_value" placeholder = "Donation Id or Transaction Id" value = "<?php echo sanitize_text_field($_GET['search_value']); ?>">
				</div>	
			</div>	
	<!--	</form>	-->

	<?php
		$donation_obj = new Cyber_frl_Donation_Table();
		echo '<form method = "POST">';
        $donation_obj->prepare_items();
    ?>
            <div class="wrap cf_donations_table">
                <div id="icon-users" class="icon32"></div>
				
                <?php $donation_obj->display(); ?>
            </div>
		</form>
</div>