<div class="wrap">
	
	<div id="icon-options-general" class="icon32"></div>
	
	<h1><strong><?php _e( 'Donation Details ', 'cyber-fundraiser-lite'); ?></strong></h1>
	<hr class="cf_state-line">
	<div id="poststuff">

		<div id="post-body" class="metabox-holder columns-2">

			<!-- main content -->
			<div id="post-body-content" >

				<div class="meta-box-sortables ui-sortable">


							<div class="panel panel-default">
							 
								  <div class="panel-heading cf_panel-heading">
								 
								   	 <h3 class="panel-title"><strong><?php _e( 'Project Details', 'cyber-fundraiser-lite'); ?></strong></h3>
								  </div>
								  
								  <div class="panel-body">
								    
								  		<div class="inside cf_inside">
											
											<p name = "project_title" >
												<?php _e( 'Project: ', 'cyber-fundraiser-lite'); ?>
												<?php $cf_url = get_permalink( $cf_project_detail->ID ); ?>
											

													<a name = "project_title" href="<?php echo $cf_url; ?>" target="_blank"><?php echo $cf_project_detail->post_title; ?></a>

											</p>
											
											<p >
													<?php _e( 'Goal: ', 'cyber-fundraiser-lite'); ?>
													<?php echo $cf_project_detail_meta['project_goal'][0]; ?>
											</p>
											

											<p >
													<?php _e( 'Start Date: ', 'cyber-fundraiser-lite'); ?>
													<?php echo $cf_project_detail_meta['project_start_date'][0]; ?>
											</p>
											

											<p >
											<?php _e( 'End Date: ', 'cyber-fundraiser-lite'); ?>
											<?php echo $cf_project_detail_meta['project_end_date'][0]; ?>
											</p>
											
									</div>

							</div>
					</div>
					<!-- .postbox -->

				</div>
				<!-- .meta-box-sortables .ui-sortable -->

				<div class="meta-box-sortables ui-sortable">

						<div class="panel panel-default">
							 
							  <div class="panel-heading cf_panel-heading">
							    <h3 class="panel-title"><strong><?php _e( 'Payment Details', 'cyber-fundraiser-lite'); ?></strong></h3>
							  </div>
							  <div class="panel-body">

									<div class="inside cf_inside">
										<p >
										<?php _e( 'Payment via: ' , 'cyber-fundraiser-lite'); ?>
										<?php echo $cf_donations_details[0]->paid_via; ?>
										</p>
										<p >
										<?php _e( 'Amount: ' , 'cyber-fundraiser-lite'); ?>
										<?php echo $cf_donations_details[0]->donation_amount; ?>
										</p>
										<p >
										<?php _e( 'Transaction ID: ' , 'cyber-fundraiser-lite'); ?>
										<?php echo $cf_donations_details[0]->transaction_id; ?>
										</p>
										<p >
										<?php _e( 'Donation Date: ' , 'cyber-fundraiser-lite'); ?>
										<?php echo $cf_donations_details[0]->date_created; ?>
										</p>
									</div>
									<!-- .inside -->
								</div>
						</div>
					
				</div> <!-- .postbox -->

				<!-- .meta-box-sortables .ui-sortable -->
				<div class="meta-box-sortables ui-sortable">

					<div class="meta-box-sortables ui-sortable">

						<div class="panel panel-default">
							  <div class="panel-heading cf_panel-heading">
							    <h3 class="panel-title"><strong><?php _e( 'User Details', 'cyber-fundraiser-lite'); ?></strong></h3>
							  </div>
							  <div class="panel-body">

								<div class="inside cf_inside">
									<p ><?php _e('User Name: ', 'cyber-fundraiser-lite'); ?>
									<?php echo '&nbsp;&nbsp;' . $cf_user_details['fname'] .'&nbsp;' . $cf_user_details['lname']; ?>
									</p>
									<p ><?php _e('Company Name: ', 'cyber-fundraiser-lite'); ?>
									<?php echo $cf_user_details['comp_name']; ?>
									</p>
									<div id="col-container">

										<div id="col-right">

											<div class="col-wrap">
												<p><?php _e('Address','cyber-fundraiser-lite'); ?></p>
												<div class="inside cf_inside">
													<p>
														<?php echo $cf_user_details['address']; ?>
													</p>
													<p>
														<?php _e('City: ', 'cyber-fundraiser-lite'); ?>
														<?php echo $cf_user_details['city_name']; ?>
													</p>
													<p>
														<?php _e('Zipcode: ', 'cyber-fundraiser-lite'); ?>
														<?php echo $cf_user_details['zipcode']; ?>
													</p>
													<p>
														<?php _e('Country: ', 'cyber-fundraiser-lite'); ?>
														<?php echo $cf_user_details['country']; ?>
													</p>
												</div>

											</div>
											<!-- /col-wrap -->

										</div>
										<!-- /col-right -->

										<div id="col-left">

											<div class="col-wrap">
												<?php _e('Contact Info','cyber-fundraiser-lite'); ?>
												<div class="inside cf_inside">
													<p>
														<?php _e('Email: ', 'cyber-fundraiser-lite'); ?>
														<?php echo $cf_user_details['email']; ?>
													</p>
													<p>
														<?php _e('Phone: ', 'cyber-fundraiser-lite'); ?>
														<?php echo $cf_user_details['phone']; ?>
													</p>
												</div>
										
											</div><!-- /col-wrap -->
											
										</div><!-- /col-left -->

									</div><!-- Wns of col-container -->
									
								</div>

							</div>
							
						</div> <!-- .inside -->			

					</div><!-- .postbox -->			

				</div><!-- .meta-box-sortables .ui-sortable -->
				

			</div><!-- post-body-content -->		

			<!-- sidebar -->
			<div id="postbox-container-1" class="postbox-container">

				<div class="meta-box-sortables">

					<div class="postbox">
						
						<form method="post" >
							<h2><?php _e( 'Payment Action', 'cyber-fundraiser-lite' ); ?></h2>
							
							<div class="inside cf_inside">
								
								<input type="hidden" name="donator_name" value='<?php echo $cf_user_details['fname'] .'&nbsp;' . $cf_user_details['lname']; ?>'>
								
								<input type="hidden" name="donation_amount" value='<?php echo $cf_donations_details[0]->donation_amount; ?>'>
								
								<input type="hidden" name="transaction_id" value='<?php echo $cf_donations_details[0]->transaction_id; ?>'>
								
								<input type="hidden" name="payment_via" value='<?php echo $cf_donations_details[0]->paid_via; ?>'>
								
								<input type="hidden" name="project_id" value='<?php echo $cf_donations_details[0]->project_id; ?>'>
								
								<input type="hidden" name="donationid" value='<?php echo $cf_donations_details[0]->id; ?>'>
								
								<input type="hidden" name="email_address" value='<?php echo $cf_user_details['email']; ?>'>


								<!-- Selection for donation recieving completed -->
								<select name="payment-status" id="pay-action-select" class="large-text">
										<option <?php if ($cf_donations_details[0]->payment_status == 'Pending') { echo "selected";} ?> value="Pending"><?php _e('Pending','cyber-fundraiser-lite'); ?></option>
										<option value="Completed" <?php if ($cf_donations_details[0]->payment_status == 'Completed') { echo "selected";} ?> ><?php _e('Completed','cyber-fundraiser-lite'); ?></option>
										<?php
											if($cf_donations_details[0]->payment_status == 'Pending'){	?>
												<option value="SendPendingMail" ><?php _e('Send Pending Mail','cyber-fundraiser-lite'); ?> </option>;
										<?php	}
										?>
								</select>
								<button type="submit" name="payment-action" class="button button-primary cf_cls-right" ><?php _e('Submit','cyber-fundraiser-lite'); ?> </button>
							</div>
							<!-- .inside -->
						</form>

					</div><!-- .postbox -->	

				</div> <!-- .meta-box-sortables -->

			</div> <!-- #postbox-container-1 .postbox-container -->

		</div> <!-- #post-body .metabox-holder .columns-2 -->

		<br class="clear">
	
	</div> <!-- #poststuff -->
	

</div> <!-- .wrap -->