
<!--  Project Metaboxes and page layout settings here-->

<?php 
	$general_settings= get_option( 'cyber_fundraiser_settings' );

		$minimum_project_length= $general_settings['general']['min_project_length'];

		$maximum_project_length= $general_settings['general']['max_project_length'];
	?>
	<table class="form-table cf_form-table" >
	    <tr>
		          <th class="manage-column column-cb check-column" scope="col">
		          	<?php _e('Goal: *','cyber-fundraiser-lite'); ?>
		          </th>

			       <td>
						<?php $project_goal = get_post_meta( $post-> ID, 'project_goal', true ); ?>
						 <label for="project_goal"> 
					     </label> 
					     
					     <input type="text" class="regular-text" placeholder="10000" id="project_goal" name="project_goal" value="<?php echo  esc_attr( $project_goal); ?>" required/>
				  	</td>
		</tr>

		<tr>
		         <th class="manage-column column-cb check-column" scope="col"><?php _e('Start Date: *', 'cyber-fundraiser-lite'); ?>
		         </th>

		        <td>

					  <?php $project_start_date = get_post_meta( $post-> ID, 'project_start_date', true ); ?>
					  <label for="project_start_date"> 	
					  </label> 
					  <input type="text" class="regular-text" 
					  id="start_date" name="project_start_date" placeholder="06-04-2018" value="<?php echo esc_attr( $project_start_date) ?>" required/>

			    </td>
		</tr>

		<tr>
		         <th class="manage-column column-cb check-column" scope="col"><?php _e('End Date: *','cyber-fundraiser-lite'); ?>
		         </th>

		        <td>
					  <?php $project_end_date = get_post_meta( $post-> ID, 'project_end_date', true ); ?>
					  <label for="project_end_date">	
					  </label> 
					  <input type="text" class="regular-text" 
					  id="end_date" name="project_end_date" placeholder="06-04-2020" value="<?php echo esc_attr( $project_end_date) ?>" required/>
			    </td>
		</tr>
		
		<tr>
			
			<th class="" scope="col"> <?php $receive_donations_after_goal_is_acheived = get_post_meta( $post-> ID, 'receive_donations_after_goal_is_acheived', true ); ?>
				<label for="receive_donations_after_goal_is_acheived"> 
				</label> 
				<input type="checkbox" id="receive_donations_after_goal_is_acheived" name="receive_donations_after_goal_is_acheived" <?php if($receive_donations_after_goal_is_acheived){echo 'checked';}else{echo '';}?>/>
			</th>	
			<td><strong><?php _e('Do not Received Donations after Goal Achieved','cyber-fundraiser-lite'); ?></strong></td>
	
	      							
			
				
		</tr>
		
		<tr>
	      		 <th class="manage-column column-cb check-column" colspan="2" scope="col"><hr><?php _e('Short Description:','cyber-fundraiser-lite'); ?>
	      		 </th>
		</tr>

		<tr>
	      		 <td colspan="2">
					
					<?php $project_short_description = get_post_meta( $post-> ID, 'project_short_description', true ); ?>
					
					 <label for="cf_project_short_description"> 
					 </label>
					
					 <?php
					 wp_editor(
					    $project_short_description,
					    'project_short_description',
					    array(
					      'media_buttons' => false,
					      'textarea_rows' => 8,
					      'tabindex' => 1,
					      'tinymce' => array(
					        'theme_advanced_buttons1' => 'bold, italic, ul',
					      ),
					    )
					);
					?>
				</td>
		</tr>
	
    </table>