
<!-- Project Front-end  Default settings-->
<?php

get_header(); 

	global $post, $wpdb;

	$post_id = $post->ID;
	
	// auto close the child project if parent projects goal has been achieved
	$parent_project_id = get_post_meta($post_id,'parent-project-id',true);
	$auto_close_parent = get_post_meta( $parent_project_id, 'receive_donations_after_goal_is_acheived',true  );
	
	if(!empty($parent_project_id) && !empty($auto_close_parent)){
		$donation_table = $wpdb->prefix.'cyber_donations';
		$total_donated = $wpdb->get_var( $wpdb->prepare( 
          " SELECT sum(donation_amount) FROM $donation_table WHERE project_id = %d AND payment_status = %s
          ", 
          $parent_project_id,
          'completed'
        ) );  
		$progject_goal = get_post_meta ($parent_project_id,'project_goal',true);
		if($total_donated >= $progject_goal){
			update_post_meta($post_id, 'child-project-status', 'closed');
		}
	}
	
	if(is_user_logged_in()){
		$user_login = true;
		$login_id = get_current_user_id();
	}else{
		$user_login = 0;
		$login_id = 0;
	}
	$fb_post_id = get_post_meta($post_id,'facebook-post-id',true); 
	
	$facebook_app_id = get_option('cyber_fundraiser_facebook_settings')['application_id'];
	
	$facebook_user_id = get_option('cyber_fundraiser_facebook_settings')['facebook_user_id'];
	$post_url = get_permalink($post_id);
?>

<div class="cf_main <?php echo apply_filters('cf_custom_class_main_container',''); ?>" id="<?php echo apply_filters('cf_custom_id_main_container',''); ?>">
  
    <div class="container cf_container">
   
    <?php
		if(file_exists(CYBER_FRL_ROOT_PATH. '/includes/frontend/templates/cyber_projects_no_settings.php')){
			
			include(CYBER_FRL_ROOT_PATH. '/includes/frontend/templates/cyber_projects_no_settings.php');
		}
    ?>
    <?php comments_template( '', true ); ?>
    </div>

</div>
 <div class="modal fade" id="cf_model" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
			<div class="modal-header">
			  <button type="button" class="close" data-dismiss="modal">&times;</button>
			  <h4 class="modal-title" id="modal-title"></h4>
			</div>
        <div class="modal-body" id="model_body">
		</div>
      </div>
      
    </div>
  </div>
<?php get_footer(); ?>