<?php 
if(!class_exists('Cyber_frl_ProjectShortcodes')){
	class Cyber_frl_ProjectShortcodes {

		public function __construct()
		{
			add_shortcode('cyber_show_all_projects', array($this, 'cyber_project_callback'));
		}

		public function cyber_project_callback($atts) {

			$a = shortcode_atts( array(
				'title' => 'yes',
				'contents' => 'yes',
				'featuredimage'=>'yes',
				'shortdescription'=>'no'
			 ), $atts );
	   
			   $title="{$a['title']}";
			  
			   $content="{$a['contents']}";

			   $featuredImage="{$a['featuredimage']}";

			 $shortdescription="{$a['shortdescription']}";

			$this->show_our_projects($title, $content,$featuredImage,$shortdescription);
			
			}



		public function show_our_projects($title, $content,$featuredImage,$shortdescription) {

	?>
			<div id="container">
				
				<div id="content" class="cf_projects_contents">

				<?php
				$type = 'projects';
				
				$args=array(
				
				  'post_type' => $type,
				  
				  'post_status' => 'publish',
				 
				  'posts_per_page' => 10,
				 
				  'caller_get_posts'=> 1
				);
				
				$my_query = null;
				
				$my_query = new WP_Query($args);
				
				if( $my_query->have_posts() ) {
				 
				  while ($my_query->have_posts()) : $my_query->the_post(); ?>
				 
				  <?php if($title=='yes'){ ?>
				
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				 
				  <?php }
			
					if($featuredImage=='yes'){ 
			
						the_post_thumbnail('full');
					} 
					if($content=='yes'){ 
				
						the_content(); 
					} 
					if($shortdescription=='yes'){
					
					echo "<p>".esc_html(get_post_meta(get_the_ID(),'project_short_description',true))."</p>"; 
				}
			 
			  endwhile;
			}
			wp_reset_query();  // Restore global post data stomped by the_post().

			   echo '</div>'; //content 
			echo '</div>'; //container -->

		}
	 
		
	}
 
	$Cyber_frl_ProjectShortcodes = new Cyber_frl_ProjectShortcodes();
}
?>