
<!--  Email template settings  -->

<div class = "wrap">

<h1><?php _e('Email Sender Options', 'cyber-fundraiser-lite'); ?></h1>
   
    <form method="post" name="settings-email-option" id="createuser" class="validate" >
	   
	    <table class="form-table cf_form-table">
			
			<tbody>
				
				<tr class="form-field">
				
					<th scope="row">
					
						<label for="username"><?php _e('From Name','cyber-fundraiser-lite'); ?> 
							<span class="cf_strike-req">*</span>
						</label>
					</th>
					<td>
						<input name="settings[email][email-option][username]" type="text" id="username" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['username'] != ''){ echo $this->settings['email']['email-option']['username'];}else{ echo 'Admin' ;} ?>" required>
					</td>
				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						<label for="email"><?php _e('From Email Address','cyber-fundraiser-lite'); ?> <span class="cf_strike-req">*</span>
						</label>
					</th>
					

					<td>
						<input name="settings[email][email-option][email]" type="email" id="email" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['email'] != ''){ echo $this->settings['email']['email-option']['email'];}else{ echo get_option('admin_email') ;} ?>" required>
					</td>
				
				</tr>
				

				<tr class="form-field ">
					
					<th scope="row">
						
						<label for="headerimage"><?php _e('Header Image','cyber-fundraiser-lite'); ?> </label>
					</th>
					
					<td>
						<label for="upload_image">
						      <input id="email_header" type="text" size="36" name="settings[email][email-option][email_header]" value="<?php if (isset($this->settings)){ echo $this->settings['email']['email-option']['email_header'];} ?>" /> 
					           <a id="email_header_button" href="#" /><?php _e('Upload image','cyber-fundraiser-lite'); ?></a>
			     								
						</label>
						<p>
							<?php _e('Enter a URL or upload image for email header.','cyber-fundraiser-lite'); ?>
						</p>
					</td>
				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						<label for="footertext"><?php _e('Email Footer Text','cyber-fundraiser-lite'); ?></label>
					</th>
					
					<td>
						<p><?php _e('The text to apear in the footer of emails.','cyber-fundraiser-lite'); ?></p>
						<textarea name="settings[email][email-option][emailfootertext]" id="content" class="mceEditor" rows="3" cols="15"><?php if (isset($this->settings)){ echo $this->settings['email']['email-option']['emailfootertext'];} ?></textarea>
					</td>
				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						<label for="basecolor"><?php _e('Base Color','cyber-fundraiser-lite'); ?></label>
					</th>
					
					<td>
						<input type="text" name="settings[email][email-option][basecolor]" class="basecolor" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['basecolor'] != ''){ echo $this->settings['email']['email-option']['basecolor'];}else{ echo "#f75d04";} ?>">
						<p>
							<?php _e('The base colour for email template default <strong>#f75d04</strong> ', 'cyber-fundraiser-lite') ?>
						</p>
					</td>

				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						
						<label for="bg-color"><?php _e('Background Color','cyber-fundraiser-lite'); ?></label>
					</th>
					
					<td>
						<input type="text" class="basecolor" name="settings[email][email-option][bg-color]" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['bg-color'] != ''){ echo $this->settings['email']['email-option']['bg-color'];}else{ echo "#c204cc";} ?>">
						<p>
							<?php _e('The background color for email template default <strong>#c204cc</strong>', 'cyber-fundraiser-lite') ?>
						</p>
					</td>

				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						<label for="bodybgcolor"><?php _e('Email Body Background Color','cyber-fundraiser-lite'); ?></label>
					</th>
					
					<td>
						<input type="text" name="settings[email][email-option][body-bg-color]" class="basecolor" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['body-bg-color'] != ''){ echo $this->settings['email']['email-option']['body-bg-color'];}else{ echo "#058902";} ?>">
						<p>
							<?php _e('The body background color for email template default  <strong>#058902 </strong>', 'cyber-fundraiser-lite') ?>
						</p>
					</td>
				
				</tr>
				
				<tr class="form-field ">
					
					<th scope="row">
						<label for="emailbodytext"><?php _e('Email Body Text Color','cyber-fundraiser-lite'); ?></label>
					</th>
					
					<td>
						<input type="text" class="basecolor" name="settings[email][email-option][email-text-color]" value="<?php if (isset($this->settings) && $this->settings['email']['email-option']['email-text-color'] != '' ){ echo $this->settings['email']['email-option']['email-text-color'];}else{ echo "#058902";} ?>">
						<p>
							<?php _e('The email body text color for email template default <strong>#058902 </strong>', 'cyber-fundraiser-lite') ?>
						</p>
					</td>

				</tr>

			</tbody>

		</table>
		
		
						<p class="submit">
							<input type="submit" name="settings[email][submit]" id="" class="btn btn-primary" value="<?php _e('Save Changes','cyber-fundraiser-lite'); ?>" >
						</p>
		
	</form>
</div>