
<!--  Facebook auto-post settings  -->
<div class = "wrap">
    
    <?php $tab_setting = get_option( 'cyber_fundraiser_facebook_settings' ); ?>

    <h1><?php _e('Facebook Account Details', 'cyber-fundraiser-lite'); ?></h1>

   <table class="form-table cf_form-table">
     
      <tbody>
          <?php

          //getting facebook settings and authorization status
          $account_details = get_option('cyber_fundraiser_facebook_settings');
         
          $account_extra_details = get_option('cyber_extra_settings');
         
          $authorize_status = $account_extra_details['authorize_status'];
         
          ?>

          <?php 
              if (isset($_SESSION['cyber_message'])) { ?>

                <p class="asap-authorize_note"><?php
                    echo $_SESSION['cyber_message'];
                    unset($_SESSION['cyber_message']);
              ?></p>

            <?php } ?>

             <form method="post" action="<?php echo admin_url('admin-post.php'); ?>">
             
                  <input type="hidden" name="action" value="authorize_action"/>
                 
                  <?php wp_nonce_field('authorize_action', 'authorize_nonce'); ?>
                 
                  <?php _e('Facebook Account Authorization:', 'cyber-fundraiser-lite'); ?>
                 
                  <input type="submit" name="authorize" class="btn btn-primary cf-fb-authorize-btn" value="<?php echo ($authorize_status == 0) ? __('Authorize', 'cyber-fundraiser-lite') : __('Reauthorize', 'cyber-fundraiser-lite'); ?>"/>
              </form>


              <form method="post" action="<?php echo admin_url('admin-post.php'); ?>">
            
                  <input type="hidden" name="action" value="form_action"/>

                   <?php wp_nonce_field('form_action', 'form_nonce') ?>
                     <?php
                     
                      if ($authorize_status == 0) {
                        ?>
                      
                        <p class="cf_authorize-account-error"><?php _e('It seems that you haven\'t authorized your account yet.The auto publish for this account won\'t work until you will authorize.Please authorize using below button', 'cyber-fundraiser-lite'); ?></p>
                        <?php
                    }
                    ?>
                  
                    <input type="button" class="asap-authorize-btn btn btn-primary" id="authorize-ref" value="<?php echo ($authorize_status == 0) ? __('Authorize', 'cyber-fundraiser-lite') : __('Reauthorize', 'cyber-fundraiser-lite'); ?>"/>

                  <tr class="form-field">
                    
                     <th scope="row">
                          <label><?php _e('Enable / Disable Auto Publish', 'cyber-fundraiser-lite'); ?></label>
                      </th>
                      
                      <td> 
                          <input type="checkbox" value="1" name="account_details[auto_publish]" <?php checked($account_details['auto_publish'], true); ?>/>
                      </td>
                  
                  </tr>
                  
                  <tr class="form-field">
                    
                     <th scope="row">
                          <label><?php _e('Application ID', 'cyber-fundraiser-lite'); ?></label>
                      </th>
                     
                      <td>
                          <input type="text" name="account_details[application_id]" value="<?php echo isset($account_details['application_id']) ? esc_attr($account_details['application_id']) : ''; ?>"/></
                      </td>

                  </tr> 

                  <tr class="form-field">
                      
                       <th scope="row">
                            <label><?php _e('Application Secret', 'cyber-fundraiser-lite'); ?></label>
                        </th>
                       
                        <td>
                                <input type="text" name="account_details[application_secret]" value="<?php echo isset($account_details['application_secret']) ? esc_attr($account_details['application_secret']) : ''; ?>"/>
                                
                                    <p>
                                      <?php
                                        $site_url = site_url();
                                        _e("Please visit <a href='https://developers.facebook.com/apps' target='_blank'>here</a> and create new Facebook Application to get <strong>Application ID and Application Secret</strong>.</p><p> Also please make sure you follow below steps after creating app.</p></p>Navigate to Apps > Settings > Edit settings > Website > Site URL. Set the site url as :<strong> $site_url </strong>", 'cyber-fundraiser-lite');
                                        ?>
                                  
                                    </p>
                                   

                                    <p>
                                       <?php _e('Once you create the app, please make sure you have made your app live from App Review option of your App Dashboard else the posts that are auto published from this app won\'t be visible to the public.','cyber-fundraiser-lite');?>
                                         
                                    </p>
                                
                            </td>

                    </tr>

                    <tr class="form-field">
                       
                       <th scope="row">
                            <label><?php _e('Facebook User ID', 'cyber-fundraiser-lite'); ?>
                            </label>
                        </th>
                       
                        <td>
                                <input type="text" name="account_details[facebook_user_id]" value="<?php echo isset($account_details['facebook_user_id']) ? esc_attr($account_details['facebook_user_id']) : ''; ?>"/>
                               
                                    <p>
                                      <?php _e('Please visit <a href="http://findmyfacebookid.com/" target="_blank">here</a> to get your facebook ID', 'cyber-fundraiser-lite'); ?>
                                      
                                      </p>
                        </td>

                    </tr>

                    <tr class="form-field">
                       
                       <th scope="row">

                            <label><?php _e('Post Message Format', 'cyber-fundraiser-lite'); ?></label>
                        </th>
                       
                        <td>
                          
                                <textarea name="account_details[message_format]"><?php echo $account_details['message_format']; ?></textarea>
                                
                                   <p> <?php _e('Please use <strong> #post_title, #post_content, #post_excerpt, #post_link, #author_name, #project_goal, #project_start_date, #project_end_date </strong> for the corresponding post title, post content, post excerpt, post link, post author name, project goal, project start date, project end date respectively.', 'cyber-fundraiser-lite'); ?></p>
                         </td>
                    </tr>

                    <tr class="form-field">
                       
                       <th scope="row">
                       
                            <label><?php _e('Post Format', 'cyber-fundraiser-lite'); ?></label>
                        </th>
                        
                        <td>
                            
                                <select name="account_details[post_format]">
                                   
                                    <option value="simple" <?php echo (isset($account_details['post_format']) && $account_details['post_format'] == 'simple') ? 'selected="selected"' : ''; ?>><?php _e('Simple Text Message', 'cyber-fundraiser-lite'); ?></option>
                                   
                                    <option value="link" <?php echo (isset($account_details['post_format']) && $account_details['post_format'] == 'link') ? 'selected="selected"' : ''; ?>><?php _e('Attach Blog Post', 'cyber-fundraiser-lite'); ?></option>

                                </select>
                        </td>
                      
                    </tr>


                      <tr class="form-field">
                      
                         <th scope="row">
                        
                            <label><?php _e('Include Image', 'cyber-fundraiser-lite'); ?></label>
                          </th>
                          
                          <td>
                            
                                <label class="asap-full-width">
                                    <input type="checkbox" name="account_details[include_image]" <?php if(isset($account_details['include_image'])){checked($account_details['include_image'], true); }?> value="1"/>
                                    <p>
                                      <?php _e('Check if you want to include the image in the post while attaching the blog post.', 'cyber-fundraiser-lite'); ?>
                                      </p>
                                </label>
                           </td>
                      </tr>


                      <tr class="form-field">
                        
                        <th scope="row">

                            <label><?php _e('Post Image', 'cyber-fundraiser-lite'); ?></label>
                        </th>
                        
                        <td>
                            
                                <select name="account_details[post_image]">
                                   
                                    <option value="featured_image" <?php selected($account_details['post_image'], 'featured_image'); ?>><?php _e('Featured Image', 'cyber-fundraiser-lite'); ?></option>
                                   
                                    <option value="custom_image" <?php selected($account_details['post_image'], 'custom_image'); ?>><?php _e('Custom Image', 'cyber-fundraiser-lite'); ?></option>

                                </select>
                          </td>

                        </tr>
                        <tr class="form-field">
                          
                           <th scope="row">
                            
                                <label><?php _e('Custom Image URL', 'cyber-fundraiser-lite'); ?></label>
                                </th>
                                
                                <td>
                                
                                    <input type="text" name="account_details[custom_image_url]" placeholder="<?php _e('Enter URL of the image here', 'facebook'); ?>" value="<?php echo esc_attr($account_details['custom_image_url']) ?>"/>
                               </td>

                        </tr>

                        <tr class="form-field">
                        
                         <th scope="row">
                         
                              <label><?php _e('Auto Post Pages', 'cyber-fundraiser-lite'); ?></label>
                          </th>
                         
                          <td>
                             
                                  <select name="account_details[auto_post_pages][]" multiple="">
                                     
                                      <option value="1" <?php echo (isset($account_details['auto_post_pages']) && in_array(1, $account_details['auto_post_pages'])) ? 'selected="selected"' : ''; ?>><?php _e('Profile Page', 'cyber-fundraiser-lite'); ?></option>
                                     

                                      <?php
                                      if (isset($account_extra_details['pages']) && is_array($account_extra_details['pages'])) {
                                        
                                          $pages = $account_extra_details['pages'];
                                         
                                          if (count($pages) > 0) {
                                             
                                              foreach ($pages as $page) {
                                            
                                                  ?>
                                                  <option value="<?php echo $page->id; ?>" <?php echo (isset($account_details['auto_post_pages']) && is_array($account_details['auto_post_pages']) && in_array($page->id, $account_details['auto_post_pages'])) ? 'selected="selected"' : ''; ?>><?php echo $page->name; ?></option>
                                                  <?php
                                              }
                                          }
                                      }
                                      ?>
                                  </select>
                                  
                                      <p>
                                        <?php _e('Note: Please use control or command key to select multiple options', 'cyber-fundraiser-lite'); ?>
                                    
                                      </p>
                                 
                            </td>

                        </tr>


                       <tr class="form-field">
                         
                          <th scope="row"> 
                            <h1><?php _e('Post Settings', 'cyber-fundraiser-lite'); ?></h1>
                          </th>

                     </tr>

                    <tr class="form-field">

                        <th scope="row">
                                  <label>
                                    <?php _e('Enable Auto Publish For:', 'cyber-fundraiser-lite'); ?>
                                  </label>
                        </th>
                        

                        <td>

                                <?php
                                $post_types = $this->get_registered_post_types();
                               
                                foreach ($post_types as $post_type) {
                                   
                                    $post_type_obj = get_post_type_object($post_type);
                                    ?>
                                   
                                    <label class="asap-full-width">

                                      <input type="checkbox" id="cf_post_settings" name="account_details[post_types][]" value="<?php echo $post_type; ?>" <?php echo (isset($account_details['post_types']) && is_array($account_details['post_types']) && in_array($post_type, $account_details['post_types'])) ? 'checked="checked"' : ''; ?>/><?php echo " ".$post_type_obj->labels->name; ?>

                                   </label>

                                <?php }
                                ?>
                        </td>
                    </tr>

                <tr class="form-field">
                  
                    <td colspan=2>
                  
                                 <input type="submit" name="edit_submit" class="btn btn-primary" value="<?php _e('Save Settings', 'cyber-fundraiser-lite'); ?>"/>
                                    <a href="<?php echo admin_url('admin-post.php?action=cyber_restore_settings'); ?>" onclick="return confirm('<?php _e('Are you sure you want to restore the default settings?','cyber-fundraiser-lite');?>')"><input type="button" class="btn btn-warning" value="<?php _e('Restore Default Settings', 'cyber-fundraiser-lite'); ?>"/  ></a>
                                    </td> 
                  </tr>
            </form>
      </tbody>
   </table>
</div>