
<!--  General settings  -->

<div class = "wrap">
	
	<?php $tab_setting = get_option( 'cyber_fundraiser_settings' );	?>

	<form method = "POST" name="settings">
	
		<table class="form-table cf_form-table">
			<tr>
				<th class="cf_row-title">
				
				<label class="cf_row-title" for = "min_project_length"><?php _e('Minimum Goal Amount For Project','cyber-fundraiser-lite'); ?>
				</label>
				</th>

				<td id="general_input" class = " cf_general_input">
					<input class="all-options" type = "text" min="0"  id = "min_project_length" name = "settings[general][min_project_length]" value = "<?php echo $tab_setting['general']['min_project_length']; ?>" placeholder="5000">
				</td>

			</tr>

			<tr>
				<th class="cf_row-title">
					
					<label class="cf_row-title" for = "max_project_length"><?php _e('Maximum Goal Amount For Project','cyber-fundraiser-lite'); ?>	
					</label>
				</th>
				
				<td id="general_input" class = "cf_general_input">
					<input class="all-options" type = "text" min="0" id = "max_project_length" name = "settings[general][max_project_length]" value = "<?php echo $tab_setting['general']['max_project_length']; ?>" placeholder="1000000">
				</td>

			</tr>
		
			<tr>
				<th class="cf_row-title">
				
					<label class="cf_row-title" for = "minimum_donation_amount"><?php _e('Minimum Donation Amount','cyber-fundraiser-lite'); ?>	
					</label>
				</th>

				<td id="general_input " class = "cf_general_input">

					<input class="all-options" type = "text" min=0 id = "minimum_donation_amount" name = "settings[general][minimum_donation_amount]" value = "<?php echo $tab_setting['general']['minimum_donation_amount']; ?>" placeholder="100">
				</td>

			</tr>

			<tr>
				
				<th class="cf_row-title">
					<label class="cf_row-title" for = "currency"><?php _e('Currency','cyber-fundraiser-lite'); ?>
					</label>
				</th>

				<td id="general_input" class = "cf_general_input">

					<select class="" id="cyber_fundraiser_currency" name="settings[general][currency]" tabindex="-1" title="Currency">
						
						<option value="AED">United Arab Emirates Dirham (?.?)</option>
							<option value="ARS" <?php selected( $tab_setting['general']['currency'], 'ARS' ); ?>>Argentine Peso ($)</option>
							
							<option value="AUD" <?php selected( $tab_setting['general']['currency'], 'AUD' ); ?>>Australian Dollars ($)</option>
							
							<option value="BDT" <?php selected( $tab_setting['general']['currency'], 'BDT' ); ?>>Bangladeshi Taka (?&nbsp;)</option>
							
							<option value="BGN" <?php selected( $tab_setting['general']['currency'], 'BGN' ); ?>>Bulgarian Lev (??.)</option>
							
							<option value="BRL" <?php selected( $tab_setting['general']['currency'], 'BRL' ); ?>>Brazilian Real (R$)</option>
							
							<option value="CAD" <?php selected( $tab_setting['general']['currency'], 'CAD' ); ?>>Canadian Dollars ($)</option>
							
							<option value="CHF" <?php selected( $tab_setting['general']['currency'], 'CHF' ); ?>>Swiss Franc (CHF)</option>
							
							<option value="CLP" <?php selected( $tab_setting['general']['currency'], 'CLP' ); ?>>Chilean Peso ($)</option>
							
							<option value="CNY" <?php selected( $tab_setting['general']['currency'], 'CNY' ); ?>>Chinese Yuan ()</option>
							
							<option value="COP" <?php selected( $tab_setting['general']['currency'], 'COP' ); ?>>Colombian Peso ($)</option>
							
							<option value="CZK" <?php selected( $tab_setting['general']['currency'], 'CZK' ); ?>>Czech Koruna (Kc)</option>
							
							<option value="DKK" <?php selected( $tab_setting['general']['currency'], 'DKK' ); ?>>Danish Krone (DKK)</option>
							
							<option value="DOP" <?php selected( $tab_setting['general']['currency'], 'DOP' ); ?>>Dominican Peso (RD$)</option>
							
							<option value="EGP" <?php selected( $tab_setting['general']['currency'], 'EGP' ); ?>>Egyptian Pound (EGP)</option>
							
							<option value="EUR" <?php selected( $tab_setting['general']['currency'], 'EUR' ); ?>>Euros ()</option>
							
							<option value="GBP" <?php selected( $tab_setting['general']['currency'], 'GBP' ); ?>>Pounds Sterling ()</option>
							
							<option value="HKD" <?php selected( $tab_setting['general']['currency'], 'HKD' ); ?>>Hong Kong Dollar ($)</option>
							
							<option value="HRK" <?php selected( $tab_setting['general']['currency'], 'HRK' ); ?>>Croatia kuna (Kn)</option>
							
							<option value="HUF" <?php selected( $tab_setting['general']['currency'], 'HUF' ); ?>>Hungarian Forint (Ft)</option>
							
							<option value="IDR" <?php selected( $tab_setting['general']['currency'], 'IDR' ); ?>>Indonesia Rupiah (Rp)</option>
							
							<option value="ILS" <?php selected( $tab_setting['general']['currency'], 'ILS' ); ?>>Israeli Shekel (?)</option>
							
							<option value="INR" <?php selected( $tab_setting['general']['currency'], 'INR' ); ?>>Indian Rupee (?)</option>
							
							<option value="ISK" <?php selected( $tab_setting['general']['currency'], 'ISK' ); ?>>Icelandic krona (Kr.)</option>
							
							<option value="JPY" <?php selected( $tab_setting['general']['currency'], 'JPY' ); ?>>Japanese Yen ()</option>
							
							<option value="KES" <?php selected( $tab_setting['general']['currency'], 'KES' ); ?>>Kenyan shilling (KSh)</option>
							
							<option value="KRW" <?php selected( $tab_setting['general']['currency'], 'KRW' ); ?>>South Korean Won (?)</option>
							
							<option value="LAK" <?php selected( $tab_setting['general']['currency'], 'LAK' ); ?>>Lao Kip (?)</option>
							
							<option value="MXN" <?php selected( $tab_setting['general']['currency'], 'MXN' ); ?>>Mexican Peso ($)</option>
							
							<option value="MYR" <?php selected( $tab_setting['general']['currency'], 'MYR' ); ?>>Malaysian Ringgits (RM)</option>
							
							<option value="NGN" <?php selected( $tab_setting['general']['currency'], 'NGN' ); ?>>Nigerian Naira (?)</option>
							
							<option value="NOK" <?php selected( $tab_setting['general']['currency'], 'NOK' ); ?>>Norwegian Krone (kr)</option>
							
							<option value="NPR" <?php selected( $tab_setting['general']['currency'], 'NPR' ); ?>>Nepali Rupee (?)</option>
							
							<option value="NZD" <?php selected( $tab_setting['general']['currency'], 'NZD' ); ?>>New Zealand Dollar ($)</option>
							
							<option value="PHP" <?php selected( $tab_setting['general']['currency'], 'PHP' ); ?>>Philippine Pesos (?)</option>
							
							<option value="PKR" <?php selected( $tab_setting['general']['currency'], 'PKR' ); ?>>Pakistani Rupee (?)</option>
							
							<option value="PLN" <?php selected( $tab_setting['general']['currency'], 'PLN' ); ?>>Polish Zloty (zl)</option>
							
							<option value="PYG" <?php selected( $tab_setting['general']['currency'], 'PYG' ); ?>>Paraguayan Guaran (?)</option>
							
							<option value="RON" <?php selected( $tab_setting['general']['currency'], 'RON' ); ?>>Romanian Leu (lei)</option>
							
							<option value="RUB" <?php selected( $tab_setting['general']['currency'], 'RUB' ); ?>>Russian Ruble (?)</option>
							
							<option value="SAR" <?php selected( $tab_setting['general']['currency'], 'SAR' ); ?>>Saudi Riyal (?.?)</option>
							
							<option value="SEK" <?php selected( $tab_setting['general']['currency'], 'SEK' ); ?>>Swedish Krona (kr)</option>
							
							<option value="SGD" <?php selected( $tab_setting['general']['currency'], 'SGD' ); ?>>Singapore Dollar ($)</option>
							
							<option value="THB" <?php selected( $tab_setting['general']['currency'], 'THB' ); ?>>Thai Baht (?)</option>
							
							<option value="TRY" <?php selected( $tab_setting['general']['currency'], 'TRY' ); ?>>Turkish Lira (?)</option>
							
							<option value="TWD" <?php selected( $tab_setting['general']['currency'], 'TWD' ); ?>>Taiwan New Dollars (NT$)</option>
							
							<option value="UAH" <?php selected( $tab_setting['general']['currency'], 'UAH' ); ?>>Ukrainian Hryvnia (?)</option>
							
							<option value="USD" <?php selected( $tab_setting['general']['currency'], 'USD' ); ?>>US Dollars ($)</option>
							
							<option value="VND" <?php selected( $tab_setting['general']['currency'], 'VND' ); ?>>Vietnamese Dong (?)</option>
							
							<option value="ZAR" <?php selected( $tab_setting['general']['currency'], 'ZAR' ); ?>>South African rand (R)</option>
				   		</select>
				</td>
			</tr>

			<tr>
				<th class="cf_row-title">
					<label class="cf_row-title" for = "thermo_padding"><?php _e('Padding Amount','cyber-fundraiser-lite'); ?>
					</label>
				</th>

				<td id="general_input" class = "cf_general_input">

					<input class="all-options" type = "number" id = "thermo_padding" name = "settings[general][thermo_padding]" value = "<?php echo $tab_setting['general']['thermo_padding']; ?>" placeholder="2">
					<p>
						<?php _e( 'Pixels between values on the bar?', 'cyber-fundraiser-lite');?>
					</p>
				</td>
			</tr>

			<tr>
				<th class="row-title" colspan=2><h4><strong><?php _e('Twitter Feeds Setting','cyber-fundraiser-lite') ?></strong></h4></th>
			</tr>

			<tr>
				<th class="row-title"><label class="row-title" for = "twitter_setting"><?php _e('Twitter Name','cyber-fundraiser-lite'); ?></label></th>
				<td id="general_input">
					<input class="all-options" type = "text" id = "twitter_setting" name = "settings[general][twitter_setting]" value = "<?php echo $tab_setting['general']['twitter_setting']; ?>" placeholder="cybersourcepk">
					<p><?php _e( 'Enter your Twitter Name', 'cyber-fundraiser-lite');?></p>
				</td>
			</tr>

			<tr>
				<th>
					<input type = "submit"  id="save-settings" name = "settings[general][submit]"  value = "<?php _e('Save Settings','cyber-fundraiser-lite'); ?>" class = "btn btn-primary" >
				</th>
			</tr>	

		</table>

	</form>

</div>