
<!-- Login and registration page settings -->
<div class = "wrap">
	
	<?php $tab_setting = get_option( 'cyber_fundraiser_settings' ); ?>

	<form method = "POST">
		
		<table class="form-table cf_form-table">
		
		<div class="row-page_settings">
			<tr>
				<div class="col-xs-6 col-md-4">
				
					<label class="cf_row-title" for = "login_page">
						<?php _e('Login Page','cyber-fundraiser-lite'); ?>	
					</label>
				</div>

				<div id="general_input" class="col-sm-6 cf_general_input">
					<select class="all-options"  id = "login_page" name = "settings[pages][login_page]" >
						
						<option value = "<?php echo get_site_url()."/wp-login.php?action=login" ?>"><?php echo esc_attr( _e( 'Wordpress Default Login','cyber_fundraiser' ) ); ?></option>
						
						<?php $args = array(
							'sort_order' => 'asc',
							'sort_column' => 'post_title',
							'hierarchical' => 1,
							'child_of' => 0,
							'parent' => -1,
							'offset' => 0,
							'post_type' => 'page',
							'post_status' => 'publish'
							); 
							
							//get the page which selected for login
							$pages = get_pages($args);
							
							foreach($pages as $page)
							{
								echo  '<option value = "'.get_page_link( $page->ID ).'"' .selected( $tab_setting['pages']['login_page'], get_page_link( $page->ID ) ). '>'.$page->post_title .'</option>';
							}
						?>
					</select>
					
				</div>

			</tr>

		</div>
		
		<div class="row-page_settings">
			
			<tr>
				<div class="col-xs-6 col-md-4">
					<label class="cf_row-title" for = "signup_page">
						<?php _e('Signup Page','cyber-fundraiser-lite'); ?>
					</label>
				</div>

				<div id="general_input " class="col-sm-6 cf_general_input">
					
					<select class="all-options"  id = "signup_page" name = "settings[pages][signup_page]" >
						<option value = "<?php echo get_site_url()."/wp-login.php?action=register" ?>"><?php echo esc_attr( _e( 'Wordpress Default Sign up','cyber_fundraiser' ) ); ?></option>
						
						<?php $args = array(
							'sort_order' => 'asc',
							'sort_column' => 'post_title',
							'hierarchical' => 1,
							'child_of' => 0,
							'parent' => -1,
							'offset' => 0,
							'post_type' => 'page',
							'post_status' => 'publish'
							); 

							// get registration page which selected for create account

							$pages = get_pages($args);
							
							foreach($pages as $page)
							{
								echo  '<option value = "'.get_page_link( $page->ID ).'"'.selected( $tab_setting['pages']['signup_page'], get_page_link( $page->ID ) ).'>'.$page->post_title .'</option>';
							}
						?>
					</select>

				</div>

			</tr>

		</div>


				<tr>
					<div>
					
						<input type = "submit" name = "settings[pages][submit]" value = "<?php _e('Save Settings','cyber-fundraiser-lite'); ?>" class = "btn btn-primary">
					</div>
				</tr>
			

		</table>

	</form>

</div>