
<!-- Direct Bank transfer Payment Gateway-->

<h4 class="cf_gatwaytitle"><?php _e('Direct Bank Transfer Settings', 'cyber-fundraiser-lite'); ?></h4>

<form method='post' name="">
 
  <table class="wp-list-table widefat fixed striped users cf_gateway-settings">
   
    <tbody id="the-list">
   
    <tr id="cf_payment_settings">
      
      <td>
       
        <label for="enable-disable" >
          <?php _e('Enable/Disable', 'cyber-fundraiser-lite'); ?> 
        </label>

      </td>

      <td colspan="2">

         <input type="hidden" name="settings[paymentgateway][bacs][enable]" id="" class="" value="off" />

        <input type="checkbox" name="settings[paymentgateway][bacs][enable]" id="" class="" value="on"  <?php if ($this->settings['paymentgateway']['bacs']['enable'] == 'on'){ echo "checked";}?> >
        
          <p class="cf_disp-inline">
            <?php _e('check for Enable Bank Transfer', 'cyber-fundraiser-lite'); ?>
          </p>

      </td>

    </tr>

    <tr id="cf_payment_settings">
     
      <td>
          <label for="title" >
            <?php _e('Title', 'cyber-fundraiser-lite'); ?> *
          </label>
      </td>
      
      <td colspan="2">
        
        <input type="text" name="settings[paymentgateway][bacs][title]" class="regular-text" placeholder="<?php _e('DirectBankTransfer', 'cyber-fundraiser-lite'); ?>" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['title'];} ?>" required>
      </td>

    </tr>
    <tr id="cf_payment_settings">

        <td>
          <label for="description" >
            <?php _e('Description', 'cyber-fundraiser-lite'); ?> 
          </label>
        </td>

      <td colspan="2">

          <textarea name="settings[paymentgateway][bacs][description]" id="description" rows="" cols="" class="textarea cf_textarea"><?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['description'];} ?></textarea>
        <p class="cf_disp-inline"></p>

      </td>

    </tr>
    <tr id="cf_payment_settings">
      
      <td>
          <label for="instruction" >
            <?php _e('Instructions', 'cyber-fundraiser-lite'); ?> 
          </label>
      </td>

      <td colspan="2">
      
        <textarea name="settings[paymentgateway][bacs][instruction]" id="instruction" rows="" cols="" class="textarea cf_textarea"><?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['instruction'];} ?></textarea>
        <p class="cf_disp-inline"></p>
      </td>

    </tr>
    <tr id="cf_payment_settings">

      <td colspan="3" class="">
       
        <label for="account-detail">
           <h4><strong><?php _e('Account Details', 'cyber-fundraiser-lite'); ?></strong></h4>
        </label>
      
      </td>

    </tr>
    <tr id="cf_payment_settings">

      <td>
          <label for"">
              <?php _e('Account Title', 'cyber-fundraiser-lite'); ?> *
            </label>
      </td>

      <td colspan="2">
       
        <input type="text" name="settings[paymentgateway][bacs][accountname]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['accountname'];} ?>" placeholder="Current Account" required>
      
      </td>

    </tr>
    <tr id="cf_payment_settings">

      <td>
       
        <label for="account-number">
          <?php _e('Account Number', 'cyber-fundraiser-lite'); ?> *
        </label>

      </td>

      <td colspan="2">

        <input type="text" name="settings[paymentgateway][bacs][accountnumber]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['accountnumber'];} ?>" placeholder="0123012345678912" required>
      </td>

    </tr>
    <tr id="cf_payment_settings">

      <td>
       
        <label for="bankname">
          <?php _e('Bank Name', 'cyber-fundraiser-lite'); ?> *
        </label>
      
      </td>

      <td colspan="2">

        <input type="text" name="settings[paymentgateway][bacs][bankname]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['bankname'];} ?>" placeholder="UBL Islamabad Branch" required>
      </td>

    </tr>

    <tr id="cf_payment_settings">
     
      <td>
        
        <label for="shortcode">
          <?php _e('Branch Code', 'cyber-fundraiser-lite'); ?> *
        </label>

      </td>

      <td colspan="2">

         <input type="text" name="settings[paymentgateway][bacs][shortcode]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['shortcode'];} ?>" placeholder="12345" required>
      </td>

    </tr>
    <tr id="cf_payment_settings">
        <td>
        
        <label for="iban">
          <?php _e('IBAN', 'cyber-fundraiser-lite'); ?>
        </label>
       
        </td>

      <td colspan="2">
        <input type="text" name="settings[paymentgateway][bacs][iban]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['iban'];} ?>" placeholder="DE12500?0?170648489890)" >
      </td>

    </tr>
     <tr id="cf_payment_settings">

      <td>

        <label for="iban">
           <?php _e('Swift Code', 'cyber-fundraiser-lite'); ?>  
        </label>

      </td>

      <td colspan="2">
        
          <input type="text" name="settings[paymentgateway][bacs][swift_code]" value="<?php if (isset($this->settings)){ echo $this->settings['paymentgateway']['bacs']['swift_code'];} ?>" placeholder="PK343ISB" >

      </td>

    </tr>

    </tbody>

  </table>

  <div class="clear"></div>
    
                 <input type="submit" name="settings[payment][submit]"  id="submit" class="btn btn-primary"  value="<?php _e('Save Settings', 'cyber-fundraiser-lite'); ?>">
     
</form>