
<!-- Paypal Gateway Settings-->

<h4 class="cf_gatwaytitle"><?php _e('Paypal Settings', 'cyber-fundraiser-lite'); ?></h4>
  
  <form method='post' name="">
   
    <table class="wp-list-table widefat fixed striped users cf_gateway-settings">
      
      <tbody id="the-list">
       
        <tr id="payment_settings">
         
          <td>

              <label for="enable-disable" ><?php _e('Enable/Disable', 'cyber-fundraiser-lite'); ?> </label>
          </td>

          <td colspan="2">
           
            <input type="hidden" name="settings[paymentgateway][paypal][enable]" id="" class="" value="off" />
            
            <input type="checkbox" name="settings[paymentgateway][paypal][enable]" id="" class="" value="on" <?php if ( isset($this->settings['paymentgateway']['paypal']['enable']) && $this->settings['paymentgateway']['paypal']['enable'] == 'on'){ echo "checked";}?> >
           
            <p class="cf_disp-inline"><?php _e('check for Paypal Payment', 'cyber-fundraiser-lite'); ?></p>

          </td>

        </tr>
        <tr id="payment_settings">

            <td>
                <label for="title" ><?php _e('Title', 'cyber-fundraiser-lite'); ?> *</label>
            </td>

          <td colspan="2">
           
             <input type="text" name="settings[paymentgateway][paypal][title]" class="regular-text" placeholder="<?php _e('Paypal Account Title', 'cyber-fundraiser-lite'); ?>" value="<?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['title'] !='' ){ echo $this->settings['paymentgateway']['paypal']['title'];} ?>" required >

          </td>

        </tr>

        <tr id="payment_settings">

          <td>
             <label for="description" ><?php _e('Description', 'cyber-fundraiser-lite'); ?> </label>
          </td>

          <td colspan="2">
            <textarea name="settings[paymentgateway][paypal][description]" id="description" rows="" cols="" class="textarea cf_textarea" placeholder="<?php _e('PayPaypal Account Description', 'cyber-fundraiser-lite') ?>"><?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['description'] !='' ){ echo $this->settings['paymentgateway']['paypal']['description'];}  ?></textarea>

            <p class="cf_disp-inline"></p>

          </td>

        </tr>

        <tr id="payment_settings" >

          <td>

              <label for="instruction" ><?php _e('Instructions', 'cyber-fundraiser-lite'); ?> </label>
          </td>

          <td colspan="2">
           
            <textarea name="settings[paymentgateway][paypal][instruction]" id="instruction" rows="" cols="" class="textarea cf_textarea" placeholder="<?php _e('PayPaypal Account Instructions', 'cyber-fundraiser-lite') ?>"><?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['instruction'] !=''){ echo $this->settings['paymentgateway']['paypal']['instruction'];} ?></textarea>
          
            <p class="cf_disp-inline"></p>

          </td>

        </tr>
		
		<tr id="payment_settings">

          <td>

            <label for="enable-disable" ><?php _e('Enable Paypal Sandbox', 'cyber-fundraiser-lite'); ?> </label>
          </td>

          <td colspan="2">
		      
            	<input type="hidden" name="settings[paymentgateway][paypal][sandbox]" id="" class="" value="off" />
          
              <input type="checkbox" name="settings[paymentgateway][paypal][sandbox]" id="" class="" value="on" <?php if ( isset($this->settings['paymentgateway']['paypal']['sandbox']) && $this->settings['paymentgateway']['paypal']['sandbox'] == 'on'){ echo "checked";} ?> >
           
             <p class="cf_disp-inline"><?php _e('Sandbox is using for testing. Sign up <a target="_blank" href="http://sandbox.paypal.com/">here</a> for Sandbox Account.', 'cyber-fundraiser-lite'); ?></p>
          </td>

        </tr>
		
		<tr id="payment_settings">

          <td>

            <label for="clientID" ><?php _e(' Paypal Client ID', 'cyber-fundraiser-lite'); ?></label>
          </td>

          <td colspan="2">
          
              <input type="text" name="settings[paymentgateway][paypal][clientID]" class="regular-text" placeholder="<?php _e('PayPal Client ID', 'cyber-fundraiser-lite'); ?>" value="<?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['clientID'] !='' ){ echo $this->settings['paymentgateway']['paypal']['clientID'];}else{ echo '';} ?>" >
            
               <p class="cf_disp-inline"><br><?php echo __('Get Your API Credentials Here', 'cyber-fundraiser-lite').'<a href = "https://developer.paypal.com/developer/applications/">Here.</a>'; ?></p>
          </td>

        </tr>
		
		<tr id="payment_settings">

          <td>

            <label for="clientSecret" ><?php _e(' Paypal Client Secret', 'cyber-fundraiser-lite'); ?></label>
          </td>

          <td colspan="2">
          
              <input type="text" name="settings[paymentgateway][paypal][clientSecret]" class="regular-text" placeholder="<?php _e('PayPal Client Secret', 'cyber-fundraiser-lite'); ?>" value="<?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['clientSecret'] !='' ){ echo $this->settings['paymentgateway']['paypal']['clientSecret'];}else{ echo '';} ?>" >
            
               <p class="cf_disp-inline"><br><?php echo __('Get Your API Credentials Here', 'cyber-fundraiser-lite').'<a href = "https://developer.paypal.com/developer/applications/">Here.</a>'; ?></p>
          </td>

        </tr>

		<!--<tr id="payment_settings">

          <td>

            <label for="returnpage" ><?php _e('Return Page', 'cyber-fundraiser-lite'); ?></label>
          </td>

          <td colspan="2">
          
              <input type="text" name="settings[paymentgateway][paypal][returnpage]" class="regular-text" placeholder="<?php _e('Return Page', 'cyber-fundraiser-lite'); ?>" value="<?php if (isset($this->settings) && $this->settings['paymentgateway']['paypal']['returnpage'] !='' ){ echo $this->settings['paymentgateway']['paypal']['returnpage'];}else{ echo site_url() .'/cyber-fundraiser-success-donation' ;} ?>" >
            
               <p class="cf_disp-inline"><br><?php _e('The URL where the visitors come after completing the payment.', 'cyber-fundraiser-lite'); ?></p>
          </td>

        </tr>-->

      </tbody>

    </table>

   
    <div class="clear"></div>

                <input type="submit" name="settings[payment][submit]" id="submit" class="btn btn-primary"  value="<?php _e('Save Settings', 'cyber-fundraiser-lite'); ?>" >
      
  </form>