<?php
/*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*/
/*				Facebook Feeds Shortcode file				*/
/*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*/

$facebook_app_id = get_option('cyber_fundraiser_facebook_settings')['application_id'];

$facebook_user_id = get_option('cyber_fundraiser_facebook_settings')['facebook_user_id']; 

if( !class_exists( 'Cyber_frl_Social_Media_Feeds' ) ){
	
	class Cyber_frl_Social_Media_Feeds{

		private $fb_page_id,$access_token,$fields,$profile_photo_src,$limit;

		
		public function __construct(){
			
			add_shortcode( 'cyber_facebook_feeds',array( $this,'get_fb_api_feeds' ) );
		}	
		

		public function get_fb_api_feeds($atts){
			
			$atts = shortcode_atts(
								
								array(
								'fb_page_url' => 'https://www.facebook.com/cybersourcepk',
								'height' => '250px',
								), $atts, 'cyber_facebook_feeds' );
			
			extract($atts);
						?>
				
				<div id="fb-root"></div>
				
				<script>(function(d, s, id) {

					var fbAppID= "<?php echo $facebook_app_id; ?>";
					
					var js, fjs = d.getElementsByTagName(s)[0];
				
					if (d.getElementById(id)) return;
					
					js = d.createElement(s); js.id = id;
					
					js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5&appId="+fbAppID;
					
					fjs.parentNode.insertBefore(js, fjs);
					}

					(document, 'script', 'facebook-jssdk'));
				</script>
					
						<div class="fb-page" data-href = " <?php echo esc_url($atts['fb_page_url']); ?> " data-tabs="timeline" data-width="<?php echo esc_html($atts['width']); ?>" data-height="<?php echo esc_html($atts['height']); ?>" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true"><div class="fb-xfbml-parse-ignore"><blockquote cite="https://www.facebook.com/cyberspk/"><a href="https://www.facebook.com/cyberspk/">Cybersource pk</a></blockquote></div></div>
				
			<?php
		}
	}
}
$social_media_feeds = new Cyber_frl_Social_Media_Feeds();