<?php
/*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*/
/*				Facebook feeds widget shortcode				*/
/*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*/		
if( !class_exists( 'Cyber_Facebookfeeds_Widget' ) ) {
	
	class Cyber_Facebookfeeds_Widget extends WP_Widget {
	
		public function __construct() {
			
			$widget = array('classname' => 'cyber_facebookfeeds_widget', 'description' => __('Cyber Fundraiser Widget for Facebook feeds.', 'cyber-fundraiser-lite'));
			
			$control = array('width' => 300, 'height' => 300);
			
			parent::__construct('cyber-facebookfeeds-widget', __('Cyber Fundraiser Facebook Feeds ', 'cyber-fundraiser-lite'), $widget, $control);

		}
		
		
		public function widget( $args, $instance ) {
		
			extract( $instance );
			
			$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
			
			echo $args['before_widget'];
			
			if ( ! empty( $title ) ) {
				
				echo $args['before_title'] . $title . $args['after_title'];
			}
			
			if($fb_page_url != '' ){ $fb_page_url = $fb_page_url ; }else{  $fb_page_url = 'https://www.facebook.com/Cybersourcepk '; }
			
			if($container_width != '' ){ $container_width = $container_width ; }else{ $container_width =  '240px '; }
			
			if($container_height != '' ){ $container_height = $container_height ; }else{  $container_height = '240px '; }
			
			$text = do_shortcode('[cyber_facebook_feeds fb_page_url='.$fb_page_url. ' width='.$container_width.' height='.$container_height.']');
			
			echo $args['after_widget'];
		}
		
		public function update( $new_instance, $old_instance ) {
			
			$instance = $old_instance;
			
			$instance['title'] = strip_tags($new_instance['title']);
			
			$instance['fb_page_url'] = strip_tags($new_instance['fb_page_url']);
			
			$instance['container_width'] = $new_instance['container_width'];
			
			$instance['container_height'] = $new_instance['container_height'];

			return $instance;
		}
		public function form( $instance ) {
			
			$instance = wp_parse_args( (array) $instance, array( 'title' => 'Facebook Feeds', 'fb_page_url'=>'https://www.facebook.com/Cybersourcepk') );
			
			$title = strip_tags($instance['title']);
			
			$fb_page_url = strip_tags($instance['fb_page_url']);
			
			$container_width = $instance['container_width'];
			
			$container_height = $instance['container_height'];
			
			?>
				<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'cyber-fundraiser-lite'); ?></label>
				
						<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
				</p>

				<p><label for="<?php echo $this->get_field_id( 'fb_page_url' ); ?>"><?php _e( 'Your facebook page URL:', 'cyber-fundraiser-lite'); ?></label>
						<input class="widefat" id="<?php echo $this->get_field_id( 'fb_page_url' ); ?>" name="<?php echo $this->get_field_name('fb_page_url'); ?>" type="text" value="<?php echo esc_attr($fb_page_url); ?>" />
				</p>


				<p><label for="<?php echo $this->get_field_id( 'container_width' ); ?>"><?php _e( 'Container Width:', 'cyber-fundraiser-lite' ); ?></label>
						<input class="widefat" id="<?php echo $this->get_field_id('container_width'); ?>" name="<?php echo $this->get_field_name('container_width'); ?>" type="text" value="<?php echo esc_attr($container_width); ?>" />
				</p>

				
				<p><label for="<?php echo $this->get_field_id( 'container_height' ); ?>"><?php _e( 'Container Height:', 'cyber-fundraiser-lite' ); ?></label>
						<input class="widefat" id="<?php echo $this->get_field_id( 'container_height' ); ?>" name="<?php echo $this->get_field_name('container_height'); ?>" type="text" value="<?php echo esc_attr($container_height); ?>" />
				</p>
								
			<?php
		}
		
	}
}
if(!function_exists('cyber_facebookfeeds_widget_init')){
	function cyber_facebookfeeds_widget_init(){
		
		register_widget('Cyber_Facebookfeeds_Widget');
	
	}
}	
		add_action('widgets_init','cyber_facebookfeeds_widget_init');
		
	?>